Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoEthernet Class Reference
GoSdk/Output » Ethernet

## Description

Represents Ethernet output settings.

Inheritance diagram for GoEthernet:

## Public Member Functions
kStatus | GoEthernet_AddCompositeSource (GoEthernet ethernet, GoOutputSource type, GoOutputCompositeSource source)
| Selects the specified composite source for transmission. More...
kStatus | GoEthernet_AddEvent (GoEthernet ethernet, GoEventType type)
| Selects the specified event for transmission. More...
kStatus | GoEthernet_AddSource (GoEthernet ethernet, GoOutputSource type, k32s sourceId)
| Selects the specified source for transmission. More...
k32u | GoEthernet_AsciiControlPort (GoEthernet ethernet)
| Gets the ASCII protocol control channel port number. More...
kChar * | GoEthernet_AsciiCustomDataFormat (GoEthernet ethernet)
| Gets the ASCII protocol output custom data format string. More...
kBool | GoEthernet_AsciiCustomFormatEnabled (GoEthernet ethernet)
| Returns the value of whether the ASCII protocol custom data format is enabled or disabled. More...
k32u | GoEthernet_AsciiDataPort (GoEthernet ethernet)
| Gets the ASCII protocol data channel port number. More...
kChar * | GoEthernet_AsciiDelimiter (GoEthernet ethernet)
| Gets the ASCII protocol output delimiter string. More...
k32u | GoEthernet_AsciiHealthPort (GoEthernet ethernet)
| Gets the ASCII protocol health channel port number. More...
kChar * | GoEthernet_AsciiInvalidValue (GoEthernet ethernet)
| Gets the ASCII protocol output invalid value string. More...
GoAsciiOperation | GoEthernet_AsciiOperation (GoEthernet ethernet)
| Gets the ASCII protocol operational mode. More...
kBool | GoEthernet_AsciiStandardFormat (GoEthernet ethernet)
| Gets the current standard format mode. More...
kChar * | GoEthernet_AsciiTerminator (GoEthernet ethernet)
| Gets the ASCII protocol output terminator string. More...
kStatus | GoEthernet_ClearAllSources (GoEthernet ethernet)
| Removes (deselects) all selected sources for all possible ethernet output types. More...
kStatus | GoEthernet_ClearEvents (GoEthernet ethernet)
| Removes (deselects) all selected events. More...
kStatus | GoEthernet_ClearSources (GoEthernet ethernet, GoOutputSource type)
| Removes (deselects) all selected sources for the specified output type. More...
GoOutputCompositeSource | GoEthernet_CompositeOptionAt (GoEthernet ethernet, GoOutputSource type, kSize index)
| Gets the composite source option at the specified index. More...
kSize | GoEthernet_CompositeOptionCount (GoEthernet ethernet, GoOutputSource type)
| Gets the number of composite source options for the specified output type. More...
GoOutputCompositeSource | GoEthernet_CompositeSourceAt (GoEthernet ethernet, GoOutputSource type, kSize index)
| Gets the identifier of the selected output at the specified index. More...
kSize | GoEthernet_CompositeSourceCount (GoEthernet ethernet, GoOutputSource type)
| Gets the number of composite sources of the specified output type that are currently selected for transmission. More...
kBool | GoEthernet_EIPBufferingEnabled (GoEthernet ethernet)
| Returns the value of whether the EthernetIP protocol output buffering is enabled or disabled. More...
kBool | GoEthernet_EIPEndianOutputType (GoEthernet ethernet)
| Returns the value of the EthernetIP protocol endian output type. More...
GoImplicitTriggerOverride | GoEthernet_EIPImplicitTriggerOverride (GoEthernet ethernet)
| Returns the value of the EthernetIP protocol implicit trigger override. More...
kStatus | GoEthernet_EnableAsciiCustomFormat (GoEthernet ethernet, kBool enabled)
| Enables or disables the ASCII protocol output custom data format. More...
kStatus | GoEthernet_EnableTimeout (GoEthernet ethernet, kBool value)
| Enables or disables the ethernet connection timeout. More...
GoEventType | GoEthernet_EventAt (GoEthernet ethernet, kSize index)
| Gets the output event associated with the specified index. More...
kSize | GoEthernet_EventCount (GoEthernet ethernet)
| Gets the number of events selected for Gocator protocol output. More...
GoEventType | GoEthernet_EventOptionAt (GoEthernet ethernet, kSize index)
| Gets the event option at the specified index. More...
kSize | GoEthernet_EventOptionCount (GoEthernet ethernet)
| Gets the number of event options. More...
kBool | GoEthernet_ModbusBufferingEnabled (GoEthernet ethernet)
| Returns the value of whether Modbus protocol output buffering is enabled or disabled. More...
k32u | GoEthernet_OptionAt (GoEthernet ethernet, GoOutputSource type, kSize index)
| Gets the source option at the specified index. More...
kSize | GoEthernet_OptionCount (GoEthernet ethernet, GoOutputSource type)
| Gets the number of source options for the specified output type. More...
const kChar * | GoEthernet_ProfinetDeviceName (GoEthernet ethernet)
| Returns the Profinet protocol device name. More...
const kIpAddress * | GoEthernet_ProfinetGateway (GoEthernet ethernet)
| Returns the IP gateway address of the Profinet protocol device. More...
const kIpAddress * | GoEthernet_ProfinetIpAddress (GoEthernet ethernet)
| Returns the IP address of the Profinet protocol device. More...
const kIpAddress * | GoEthernet_ProfinetSubnetMask (GoEthernet ethernet)
| Returns the IP subnet mask of the Profinet protocol device. More...
GoEthernetProtocol | GoEthernet_Protocol (GoEthernet ethernet)
| Gets the protocol that the ethernet utilizes for output. More...
kStatus | GoEthernet_RemoveCompositeSource (GoEthernet ethernet, GoOutputSource type, kSize index)
| Removes (deselects) the composite source at the specified index. More...
kStatus | GoEthernet_RemoveEvent (GoEthernet ethernet, kSize index)
| Removes (deselects) the Event at the specified index. More...
kStatus | GoEthernet_RemoveSource (GoEthernet ethernet, GoOutputSource type, kSize index)
| Removes (deselects) the source at the specified index. More...
kStatus | GoEthernet_SetAsciiControlPort (GoEthernet ethernet, k32u port)
| Sets the port number of the ASCII control port. More...
kStatus | GoEthernet_SetAsciiCustomDataFormat (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output custom data format string. More...
kStatus | GoEthernet_SetAsciiDataPort (GoEthernet ethernet, k32u port)
| Sets the port number of the ASCII data port. More...
kStatus | GoEthernet_SetAsciiDelimiter (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output delimiter string. More...
kStatus | GoEthernet_SetAsciiHealthPort (GoEthernet ethernet, k32u port)
| Sets the port number of the ASCII health port. More...
kStatus | GoEthernet_SetAsciiInvalidValue (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output invalid value string. More...
kStatus | GoEthernet_SetAsciiOperation (GoEthernet ethernet, GoAsciiOperation mode)
| Sets the ASCII operation mode. More...
kStatus | GoEthernet_SetAsciiStandardFormat (GoEthernet ethernet, GoAsciiStandardFormatMode mode)
| Sets the current standard format mode. More...
kStatus | GoEthernet_SetAsciiTerminator (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output terminator string. More...
kStatus | GoEthernet_SetEIPBufferingEnabled (GoEthernet ethernet, kBool enabled)
| Enables or disables EthernetIP protocol output buffering. More...
kStatus | GoEthernet_SetEIPEndianOutputType (GoEthernet ethernet, GoEndianType type)
| Sets the EthernetIP protocol endian output type. More...
kStatus | GoEthernet_SetEIPImplicitTriggerOverride (GoEthernet ethernet, GoImplicitTriggerOverride value)
| Sets the EthernetIP protocol implicit trigger override. More...
kStatus | GoEthernet_SetModbusBufferingEnabled (GoEthernet ethernet, kBool enabled)
| Enables or disables Modbus protocol output buffering. More...
kStatus | GoEthernet_SetProtocol (GoEthernet ethernet, GoEthernetProtocol protocol)
| Sets the protocol which will be output via ethernet. More...
kStatus | GoEthernet_SetTimeout (GoEthernet ethernet, k64f value)
| Sets the connection timeout value. More...
k32u | GoEthernet_SourceAt (GoEthernet ethernet, GoOutputSource type, kSize index)
| Gets the identifier of the selected output at the specified index. More...
kSize | GoEthernet_SourceCount (GoEthernet ethernet, GoOutputSource type)
| Gets the number of sources of the specified output type that are currently selected for transmission. More...
k64f | GoEthernet_Timeout (GoEthernet ethernet)
| Returns the connection timeout value in minutes. More...
kBool | GoEthernet_TimeoutEnabled (GoEthernet ethernet)
| Indicates whether the ethernet connection timeout is enabled. More...
kBool | GoEthernet_TimeoutEnabledIsAvailable (GoEthernet ethernet)
| Indicates whether ethernet connection timeout is supported or not by the ethernet protocol. More...

The documentation for this class was generated from the following file:

- Outputs/GoEthernet.h